<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
			////Arrastrando la Variable del Documento
				$NoDocSuEn=$_GET["NDocKp"] or $NoDocSuEn=$_POST["NDocKp"];
				$EtMasterEn=$_GET["EtMastKp"] or $EtMasterEn=$_POST["EtMastKp"];
				
				////Identificar los datos del Documento de Recibo
				$sqlIDR1 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR1)==0) echo "";
				else{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				}
				if (mysql_numrows($sqlIDR1)>0)
				{
				$TipSalIDR1=$registroIDR1["TIPO_SALIDA"];
				$TipSurIDR1=$registroIDR1["TIPO_SURTIDO"];
				$CveDesIDR1=$registroIDR1["DESTINO"];	
				$VigeIDR1=$registroIDR1["DISPONIBILIDAD"];
				$EdoDIDR1=$registroIDR1["EDO_DOCUMENTO"];
				$PriIDR1=$registroIDR1["PRIORIDAD"];	
				}
				
				////Identificar Si el documento digitado Existe
				$sqlIDR2 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR2)==0) 
				{
				echo "<script>alert('El Documento de Surtido Digitado no Existe.\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoContinuoFifo2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador del Documento Recibo
				
				////Identificar La caducidad de Documento
				if ($VigeIDR1<$Fecha)
				{
					echo "<script>alert('El Documento de Surtido Digitado ha Caducado.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoContinuoFifo2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de Caducidad Documento
				
				////Identificar el estado del Documento
				if ($EdoDIDR1<>"POR SURTIR" and $EdoDIDR1<>"SURTIENDOSE")
				{
					echo "<script>alert('El Estado del Documento de Surtido no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoContinuoFifo2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de Estado de Documento
				
 					////Identificar los datos de la Etiqueta Master
					$sqlIDR3 = mysql_query("select * from tabla_etimaster where CVE_CUENTA='$CveCueCR1' AND NO_ETIQUETA='$EtMasterEn'");
					if (mysql_numrows($sqlIDR3)==0)
						{
							echo "<script>alert('La Etiqueta Master: $EtMasterEn No existe dentro del Sistema.\\n\\nFavor de corroborarlo.');</script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoContinuoFifo4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
						}
					else{
					$registroIDR3=mysql_fetch_array($sqlIDR3);
					}
					if (mysql_numrows($sqlIDR3)>0)
					{
					$Esta_IDR3=$registroIDR3["ESTATUS"];
					}
					
					///Identificar el Estatus de la Etiqueta Master
					if ($Esta_IDR3=="ASOCIADA")
					{  ///Inicia If Etiqueta Master Asociada
					echo "<script>alert('La Etiqueta Master: $EtMasterEn ya ha sido asociada y utilizada para otro surtido.\\n\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoContinuoFifo4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
					}
					else
					{
						
////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////

///+++++++++++++++ INICIA EL PROCESO DE ANALISIS DE RECOLECCIÓN +++++++++++++++++++++++++++++++////

//// Inicia Asociar la Etiqueta Master al No.Documento////
		$sqlAMD="UPDATE tabla_etimaster SET DOCU_ASOCIADO='$NoDocSuEn',USUARIO_USO='$UsuEn',F_USO='$Fecha',H_USO='$HoraOK',ESTATUS='BLOQUEADA EN USO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ETIQUETA='$EtMasterEn'";
		$resultadoAMD=mysql_query($sqlAMD,$conexion) or die(mysql_error());
//// Termina Asociar la Etiqueta Master al No.Documento////		

//// Inicia Cambio de Estado al No.Documento de Surtido en la tabla_docsurtido////
		$sqlAMD2="UPDATE tabla_docsurtido SET EDO_DOCUMENTO ='SURTIENDOSE',FECHA_SURTIDO='$Fecha' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
		$resultadoAMD2=mysql_query($sqlAMD2,$conexion) or die(mysql_error());
//// Termina Cambio de Estado al No.Documento de Surtido en la tabla_docsurtido////

//// Inicia Cambio de Estado al No.Documento de Surtido en la tabla_asociaanden////
		$sqlAMD3="UPDATE tabla_asociaanden SET ESTADO_DOCUMENTO ='SURTIENDOSE' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
		$resultadoAMD3=mysql_query($sqlAMD3,$conexion) or die(mysql_error());
//// Termina Cambio de Estado al No.Documento de Surtido en la tabla_asociaanden////

/////////Identificar el Codigo a surtir (Dependiendo de su recorrido) - tabla_detalledocsurprio/////////
		$sqlICR = mysql_query("SELECT * FROM tabla_detalledocsurprio WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' AND CANT_SURTIDA = '0' ORDER BY PRIORIDAD ASC LIMIT 0 , 1");
		if (mysql_numrows($sqlICR)==0) echo "";
		else{
		$registroICR=mysql_fetch_array($sqlICR);
		}
		if (mysql_numrows($sqlICR)>0)
		{
		$SkuICR=$registroICR["SKU"];
		}
		
			/////////Identificar el Codigo a surtir (Dependiendo de su recorrido) - tabla_detalledocsur
			$sqlICR2 = mysql_query("SELECT * FROM tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' AND SKU='$SkuICR'");
			if (mysql_numrows($sqlICR2)==0) echo "";
			else{
			$registroICR2=mysql_fetch_array($sqlICR2);
			}
			if (mysql_numrows($sqlICR2)>0)
			{
			$id_nuevo=$registroICR2["ID"];
			$TipoApartado_ICR2=$registroICR2["APARTADO"];
			}
			
				/////////Extraer datos del Detalle de Surtido por Medio de su Id - tabla_detalledocsur
				$sqlEDDS = mysql_query("select * from tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND ID='$id_nuevo' AND SKU='$SkuICR'");
				if (mysql_numrows($sqlEDDS)==0) 
				{
					echo "<script>alert('Se Acabo la Recolección');</script>";
					///echo "<META HTTP-EQUIV=Refresh CONTENT='0; 		URL=4-MenuSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{
				$registroEDDS=mysql_fetch_array($sqlEDDS);
				}
				if (mysql_numrows($sqlEDDS)>0)
				{
				$SkuAS=$registroEDDS["SKU"];
				$LoteAS=$registroEDDS["LOTE"];
				$CXSuAS=$registroEDDS["CANT_X_SURTIR"];
				$TipoRecAS=$registroEDDS["APARTADO"];
				} 
				
				/////////Identificar la cantidad de piezas que se han surtido por codigo
				$sqlSUMA = "SELECT SUM(CANT_XTAREA) as ObtCant FROM temporal_cantitarea WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' and SKU='$SkuAS' ORDER BY ID ASC";
				$resSUMA = mysql_query($sqlSUMA); 
				$PrePiezas = mysql_fetch_assoc($resSUMA);
				$TotPiSurti =  $PrePiezas ['ObtCant'];
				
				////Identificar el faltante de piezas por Surtir
				$RestanteXSur = $CXSuAS - $TotPiSurti;

////Inicia IF - SI la Cantidad X Surtir es mayor al total de piezas que van pickeadas (Todo lo que se ha recolectado)				
	if ($CXSuAS > $TotPiSurti)
		{ /// Inicia IF Comparativo 1
		
		////Inicia Identificar el Tipo de Recolección
		if ($TipoRecAS == "EN PICKING")
		{
			$sqlIPA = "SELECT * FROM tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuAS' AND CADUCIDAD>'$Fecha' AND EDO_CALIDAD='$TipSalIDR1' AND CANTIDAD >'0' AND TIPO_UBICACION='PICKING' ORDER BY `tabla_inventario`.`FECHA_ENTRADA`, `tabla_inventario`.`PRIORIDAD` ASC";
		}
		if ($TipoRecAS == "EN STOCK")
		{
			$sqlIPA = "SELECT * FROM tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuAS' AND CADUCIDAD>'$Fecha' AND EDO_CALIDAD='$TipSalIDR1' AND CANTIDAD >'0' AND TIPO_UBICACION='STOCK' ORDER BY `tabla_inventario`.`FECHA_ENTRADA`, `tabla_inventario`.`PRIORIDAD` ASC";
		}
		////Termina Identificar el Tipo de Recolección

			////Identificar el Pallet Apto para Realizar el Surtido
			$IPAEI="0";
			/////$sqlIPA = "SELECT * FROM tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuAS' AND CADUCIDAD>'$Fecha' AND EDO_CALIDAD='$TipSalIDR1' AND CANTIDAD >'0' ORDER BY `tabla_inventario`.`FECHA_ENTRADA`, `tabla_inventario`.`PRIORIDAD` ASC";
			$resIPA=mysql_query($sqlIPA) or die('Error en la consulta: '.mysql_error());
			While($rowIPA = mysql_fetch_array($resIPA,MYSQL_ASSOC))
			{ /// inicia While Inventario 1
			
			$IPAEI = $IPAEI + 1;

				$NPalPA=$rowIPA["NO_PALLET"];
				$ID=$rowIPA["ID"];
				$CDescrip=$rowIPA["DESCRIPCION"];
				$CantIPA=$rowIPA["CANTIDAD"];
				$UbicIPA=$rowIPA["UBICACION"];
				$CAparIPA=$rowIPA["CAN_APARTADA"];				
				$LoteIPA=$rowIPA["LOTE"];
				$LoteWmsIPA=$rowIPA["LOTEWMS"];
				$LoteProIPA=$rowIPA["LOTEPRODU"];
				
				////Identificar la cantidad en el Pallet
				$CanSobranteFinal = $CantIPA;
				
				////Identificar la Cantidad que se debe de surtir finalmente
				if ($RestanteXSur<=$CanSobranteFinal)
				{ 
					$CanXTa = $RestanteXSur;
				}
				else
				{
					$CanXTa = $CanSobranteFinal;
				}
				
				////Inicia Comparación 2
					///if ($CanSobrante>"0")
					if ($CanSobranteFinal>"0")
					{/// Inicia IF Comparativo 2
						
						////Identificar el prefijo configurado para la tarea
						$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CveCueCR1'");
						if (mysql_numrows($sqlIDE1)==0) echo "";
						else{
						$registroIDE1=mysql_fetch_array($sqlIDE1);
						}
						if (mysql_numrows($sqlIDE1)>0)
						{
						$PrefijoTar=$registroIDE1["PREFIJO"];
						}
						
						////Generador de Folio para guardar el consecutivo del # de Tara en la tabla_consetarea
						$FechaDeTarea=date("Ymd");
						$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CveCueCR1' AND FECHA='$FechaDeTarea'"; 
						$libDS = mysql_query($sqlDS); 
						$rs_libDS = mysql_fetch_assoc($libDS); 
						$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
						if ($id_nuevoDS <=9)
						{
						$IdenCeros="0000";
						$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
						$No_TareaFINPG=$No_Tarea;
						}
					
						if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
						{
						$IdenCeros="000";
						$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
						$No_TareaFINPG=$No_Tarea;
						}
	
						if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
						{
						$IdenCeros="00";
						$No_Tarea=$v.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
						$No_TareaFINPG=$No_Tarea;
						}
					
						if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
						{
						$IdenCeros="0";
						$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
						$No_TareaFINPG=$No_Tarea;
						}
					
						if ($id_nuevoDS >=10000)
						{
						$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
						$No_TareaFINPG=$No_Tarea;
						}
						
						////Editar el Estado de Calidad del Pallet con la finalidad de que no este disponible temporalmente
						$sqlECP="UPDATE tabla_inventario SET EDO_CALIDAD='SFC' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalPA'";
						$resultadoECP=mysql_query($sqlECP,$conexion) or die(mysql_error());
						
						////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
						$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
						$libP2 = mysql_query($sqlIDP2); 
						$rs_libP2 = mysql_fetch_assoc($libP2); 
						$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
						//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO. DE TAREA EN LA tabla_consetarea//////////
						$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
	        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
						$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
						
						break;
						
					}/// Termina IF Comparativo 2							
			} /// Termina While Inventario 1
			
			////Identificar si en el Inventario NO existe producto apto para surtir o si Definitivamente no hay existencias.
						
					if ($IPAEI=="0")
						{///Inicia if sin existencias
								
							////Identificar el prefijo configurado para la tarea
							$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CveCueCR1'");
							if (mysql_numrows($sqlIDE1)==0) echo "";
							else{
							$registroIDE1=mysql_fetch_array($sqlIDE1);
							}
							if (mysql_numrows($sqlIDE1)>0)
							{
							$PrefijoTar=$registroIDE1["PREFIJO"];
							}
						
							////Generador de Folio para guardar el consecutivo del # de Tara en la tabla_consetarea
							$FechaDeTarea=date("Ymd");
							$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CveCueCR1' AND FECHA='$FechaDeTarea'"; 
							$libDS = mysql_query($sqlDS); 
							$rs_libDS = mysql_fetch_assoc($libDS); 
							$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
					
							if ($id_nuevoDS <=9)
							{
							$IdenCeros="0000";
							$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
					
							if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
							{
							$IdenCeros="000";
							$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
	
							if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
							{
							$IdenCeros="00";
							$No_Tarea=$v.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
					
							if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
							{
							$IdenCeros="0";
							$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
					
							if ($id_nuevoDS >=10000)
							{
							$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
							
							////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
							$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
							$libP2 = mysql_query($sqlIDP2); 
							$rs_libP2 = mysql_fetch_assoc($libP2); 
							$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
							//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO. DE TAREA EN LA tabla_consetarea//////////
							$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
	        				values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
							$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
							
							////Generador de Folio para guardar el concecutivo en la Tabla_ temporal_tareas
							$sqlCTT = "select max(ID) as ultimo_FOLIOCTT from temporal_tareas"; 
							$libCTT = mysql_query($sqlCTT); 
							$rs_libCTT = mysql_fetch_assoc($libCTT); 
							$id_nueCTT = $rs_libCTT['ultimo_FOLIOCTT'] + 1;
							
							//////Hora y Fecha - Modulo Local/////
								$Horast=time();
								$HoraOKst=date("H:i:s",$Horast);
								$Fechast=date("Y/m/d");
										
							//////GUARDAR LA TAREA TEMPORAL EN temporal_tareas//////////
							$sqlGTT = "insert temporal_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,USUARIO_EJECUTO,FECHA_EJECUTO,HORA_EJECUTO,UBICACION,PRIORIDAD,OBSERVACIONES,LOTE,ETIQUETA_MASTER)
        								values('$id_nueCTT','$CveBodCR1','$CveCueCR1','$No_TareaFINPG','$NoDocSurEn','0','$SkuAS','$CXSuAS','0','0','$NoDocSurEn','EJECUTADA','$UsuEn','$Fechast','$HoraOKst','$UsuEn','$Fechast','$HoraOKst','0','10001','NO HAY EXISTENCIAS EN EL INVENTARIO PARA EL SKU, LOTE Ó ESTADO DE CALIDAD SOLICITADO [SKU: $SkuAS - LOTE: $LoteAS - CALIDAD: $TipSalIDR1]','$LoteAS','$EtiMasterEn')";
							$resultadoGTT=mysql_query($sqlGTT,$conexion) or die(mysql_error());
							
							////Cambia el estado de Ejecución la linea del Surtido en La tabla_detalledocsur
							$sqlEEC="UPDATE tabla_detalledocsur SET CANT_SURTIDA='OK' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' and SKU='$SkuAS'";
							$resultadoEEC=mysql_query($sqlEEC,$conexion) or die(mysql_error());
										
							////Cambia el estado de Ejecución la linea del Surtido en La tabla_detalledocsurprio
							$sqlEEC2="UPDATE tabla_detalledocsurprio SET CANT_SURTIDA='OK' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' and SKU='$SkuAS'";
							$resultadoEEC2=mysql_query($sqlEEC2,$conexion) or die(mysql_error());
													
							////Redirecciona la Ejecución
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoContinuoFifo6.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NDocKp=$NoDocSuEn&EtMastKp=$EtMasterEn'>";
								
						}///Termina if sin existencias
						
////-----------------------------------------------------------------------------------------------------------------------////
						
					///Identificar si en el inventario si hay pallets pero ya no hay piezas disponibles
					if ($CanSobranteFinal<="0")
						{///Inicia if sin pzas disponibles
								
							////Identificar el prefijo configurado para la tarea
							$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CveCueCR1'");
							if (mysql_numrows($sqlIDE1)==0) echo "";
							else{
							$registroIDE1=mysql_fetch_array($sqlIDE1);
							}
							if (mysql_numrows($sqlIDE1)>0)
							{
							$PrefijoTar=$registroIDE1["PREFIJO"];
							}
						
							////Generador de Folio para guardar el consecutivo del # de Tara en la tabla_consetarea
							$FechaDeTarea=date("Ymd");
							$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CveCueCR1' AND FECHA='$FechaDeTarea'"; 
							$libDS = mysql_query($sqlDS); 
							$rs_libDS = mysql_fetch_assoc($libDS); 
							$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
					
							if ($id_nuevoDS <=9)
							{
							$IdenCeros="0000";
							$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
					
							if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
							{
							$IdenCeros="000";
							$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
	
							if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
							{
							$IdenCeros="00";
							$No_Tarea=$v.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
					
							if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
							{
							$IdenCeros="0";
							$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
					
							if ($id_nuevoDS >=10000)
							{
							$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
							$No_TareaFINPG=$No_Tarea;
							}
							
							////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
							$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
							$libP2 = mysql_query($sqlIDP2); 
							$rs_libP2 = mysql_fetch_assoc($libP2); 
							$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
							//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO. DE TAREA EN LA tabla_consetarea//////////
							$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
	        				values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
							$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
							
							////Generador de Folio para guardar el concecutivo en la Tabla_ temporal_tareas
							$sqlCTT = "select max(ID) as ultimo_FOLIOCTT from temporal_tareas"; 
							$libCTT = mysql_query($sqlCTT); 
							$rs_libCTT = mysql_fetch_assoc($libCTT); 
							$id_nueCTT = $rs_libCTT['ultimo_FOLIOCTT'] + 1;
							
							//////Hora y Fecha - Modulo Local/////
								$Horast=time();
								$HoraOKst=date("H:i:s",$Horast);
								$Fechast=date("Y/m/d");
								
							//////GUARDAR LA TAREA TEMPORAL EN temporal_tareas//////////
							$sqlGTT = "insert temporal_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,USUARIO_EJECUTO,FECHA_EJECUTO,HORA_EJECUTO,UBICACION,PRIORIDAD,OBSERVACIONES,LOTE,ETIQUETA_MASTER)
        								values('$id_nueCTT','$CveBodCR1','$CveCueCR1','$No_TareaFINPG','$NoDocSurEn','0','$SkuAS','$CXSuAS','0','0','$NoDocSurEn','EJECUTADA','$UsuEn','$Fechast','$HoraOKst','$UsuEn','$Fechast','$HoraOKst','0','10001','NO HAY EXISTENCIAS EN EL INVENTARIO PARA EL SKU, LOTE Ó ESTADO DE CALIDAD SOLICITADO [SKU: $SkuAS - LOTE: $LoteAS - CALIDAD: $TipSalIDR1]','$LoteAS','$EtiMasterEn')";
							$resultadoGTT=mysql_query($sqlGTT,$conexion) or die(mysql_error());
							
							////Cambia el estado de Ejecución la linea del Surtido en La tabla_detalledocsur
							$sqlEEC="UPDATE tabla_detalledocsur SET CANT_SURTIDA='OK-2' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' and SKU='$SkuAS'";
							$resultadoEEC=mysql_query($sqlEEC,$conexion) or die(mysql_error());
										
							////Cambia el estado de Ejecución la linea del Surtido en La tabla_detalledocsurprio
							$sqlEEC2="UPDATE tabla_detalledocsurprio SET CANT_SURTIDA='OK-2' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' and SKU='$SkuAS'";
							$resultadoEEC2=mysql_query($sqlEEC2,$conexion) or die(mysql_error());
													
							////Redirecciona la Ejecución
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoContinuoFifo6.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NDocKp=$NoDocSuEn&EtMastKp=$EtMasterEn'>";
								
						}///Termina if sin pzas disponibles
		} /// Termina IF Comparativo 1
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="5-SurtidoContinuoFifo7.php">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Surtido FIFO - Flujo Continuo</font></td>
	      </tr>
		  <tr>
		    <td colspan="2">
            <input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
            </td>
	      </tr>
		  <tr>
		    <td width="102" align="center"><div align="left" class="Clase_TipoLetra"><b># Documento:</b></div></td>
		    <td width="121" align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $NoDocSuEn; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b># EtiquetaMaster:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $EtMasterEn; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b>Tarea Temporal:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $No_TareaFINPG; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b>CveUbicación:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo "<b><font color='#FF0000'>".$UbicIPA."</font></b>"; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b>Pallet:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $NPalPA; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b>Sku:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $SkuAS; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b>Descripción:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $CDescrip; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b>Lote:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $LoteIPA; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b>Lote-Wms:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $LoteWmsIPA; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b>Lote-Producción:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $LoteProIPA; ?></div></td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><b>Cant. x Tarea:</b></div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $CanXTa; ?></div></td>
	      </tr>
		  <tr>
		    <td colspan="2">
        <input type="hidden" name="NDocKp"
		value="<?PHP echo $NoDocSuEn; ?>" />
        <input type="hidden" name="EtMastKp"
		value="<?PHP echo $EtMasterEn; ?>" />
        <input type="hidden" name="txt_UBAE"
		value="<?PHP echo $UbicIPA; ?>" />
        <input type="hidden" name="txt_TAREA"
		value="<?PHP echo $No_TareaFINPG; ?>" />
        <input type="hidden" name="txt_PALL"
		value="<?PHP echo $NPalPA; ?>" />
        <input type="hidden" name="txt_CXTAR"
		value="<?PHP echo $CanXTa; ?>" />
        <input type="hidden" name="txt_LOTE"
		value="<?PHP echo $LoteIPA; ?>" />
        </td>
	      </tr>
		  <tr>
		    <td align="center"><div align="left" class="Clase_TipoLetra">Esc.Ubicación:</div></td>
		    <td align="center"><div align="left" class="Clase_TipoLetra">
		      <input name="txt_UBICA" type="text" id="txt_Usuario" size="10" required="required" autofocus="autofocus"/>
		    </div></td>
	      </tr>
		  <tr>
		    <td align="center"><input type="submit" name="button" id="button" value="Aceptar" /></td>
		    <td align="center"><input type="button" value="Finalizar EM" onclick=" window.location.href='<?PHP echo"#.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn";?>' " /></td>
	      </tr>
		  <tr>
		    <td align="center">&nbsp;</td>
		    <td align="center"><input type="button" value="Menu" onclick=" window.location.href='<?PHP echo"5-SurtidoContinuoFifoMenu.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NPall=$NPalPA&CalAnt=$TipSalIDR1";?>' " /></td>
	      </tr>
		</table>
	</form>

      <!-- Termina Cuerpo de la Pantalla -->		
  </div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
}//// Termina If Valiador Etiqueta Master
}//// Termina If Valiador de Estado de Documento
}//// Termina If Valiador de Caducidad Documento
}//// Termina If Valiador del Documento Recibo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
